TEMPLATE = lib
CONFIG *= staticlib
TARGET = x3dkerneltypes

HEADERS = Platform.h \
          X3DBaseTypes.h \
          SFString.h \
          SFVec3f.h \
          SFVec2f.h \
          SFPoint3f.h \
          SFMatrix34f.h \
          BBox.h \
          X3DTypesToSFString.h \
          X3DTypes.h \
          X3DFileElement.h \
          CLog.h

SOURCES = X3DBaseTypes.cpp \
          SFString.cpp \
          SFVec3f.cpp \
          SFVec2f.cpp \          
          SFPoint3f.cpp \
          SFMatrix34f.cpp \ 
          BBox.cpp \
          X3DTypesToSFString.cpp \
          X3DFileElement.cpp \
          CLog.cpp

include(../../X3DToolKit.pri)

INCLUDEPATH += ../../../include/X3DTK
INCLUDEPATH += ../../../include/X3DTK/private

DESTDIR  = ../../../lib/static
OBJECTS_DIR = ../../../obj

contains(DEFINES, XERCES) {           
  HEADERS += XercesFileElement.h 
  SOURCES += XercesFileElement.cpp 
}

contains(DEFINES, LIBXML) {           
  HEADERS += libXMLFileElement.h 
  SOURCES += libXMLFileElement.cpp 
}

contains(DEFINES, QT) {           
  HEADERS += QFileElement.h
  SOURCES += QFileElement.cpp 
} 

